# Serialized Form

## Package com.xhaus.modjy

### Class com.xhaus.modjy.ModjyJServlet extends javax.servlet.http.HttpServlet implements Serializable

### Serialized Fields

#### interp

    PythonInterpreter interp

#### modjyServlet

    javax.servlet.http.HttpServlet modjyServlet

## Package com.ziclix.python.sql

### Class com.ziclix.python.sql.DBApiType extends PyInteger implements Serializable

### Class com.ziclix.python.sql.PyConnection extends PyObject implements Serializable

### Serialized Fields

#### closed

    boolean closed

True if closed.

#### supportsTransactions

    boolean supportsTransactions

Whether transactions are supported.

#### supportsMultipleResultSets

    boolean supportsMultipleResultSets

Whether multiple ResultSets are supported.

#### connection

    java.sql.Connection connection

The underlying java.sql.Connection.

#### cursors

    java.util.Set<E> cursors

Underlying cursors.

#### statements

    java.util.Set<E> statements

Underlying statements.

### Class com.ziclix.python.sql.PyCursor extends PyObject implements Serializable

### Serialized Fields

#### fetch

    Fetch fetch

Field fetch

#### closed

    boolean closed

Field closed

#### arraysize

    int arraysize

Field arraysize

#### softspace

    int softspace

Field softspace

#### rsType

    PyObject rsType

Field rsType

#### rsConcur

    PyObject rsConcur

Field rsConcur

#### warnings

    PyObject warnings

Field warnings

#### lastrowid

    PyObject lastrowid

Field warnings

#### updatecount

    PyObject updatecount

Field updatecount

#### dynamicFetch

    boolean dynamicFetch

Field dynamicFetch

#### connection

    PyConnection connection

Field connection

#### datahandler

    DataHandler datahandler

Field datahandler

#### statement

    PyStatement statement

Field statement

### Class com.ziclix.python.sql.PyExtendedCursor extends PyCursor implements Serializable

### Class com.ziclix.python.sql.PyStatement extends PyObject implements Serializable

### Serialized Fields

#### style

    int style

One of the above styles.

#### sql

    java.lang.Object sql

The underlying sql, a String or a Procedure.

#### closed

    boolean closed

Whether this statement is closed.

#### statement

    java.sql.Statement statement

The underlying java.sql.Statement.

### Class com.ziclix.python.sql.WarningEvent extends java.util.EventObject implements Serializable

### Serialized Fields

#### warning

    java.sql.SQLWarning warning

### Class com.ziclix.python.sql.zxJDBC extends PyObject implements Serializable

## Package org.python.core

### Class org.python.core.AbstractArray extends java.lang.Object implements Serializable

### Serialized Fields

#### capacity

    int capacity

Size of the current array, which can be larger than the `size` field.

#### size

    int size

The number of values currently present in the array.

#### modCountIncr

    int modCountIncr

The modification count increment indicates if a structural change occurred as a result of an operation that would make concurrent iteration over the array invalid. It is typically used by subclasses that extend `AbstractList`, by adding the value to `AbstractList.modCount` after performing a potentially structure-altering operation. A value of 0 indicates that it is still valid to iterate over the array. A value of 1 indicates it is no longer valid to iterate over the range.

This class uses a somewhat stricter semantic for `modCount`. Namely, `modCountIncr` is only set to 1 if a structural change occurred. The jdk collections generally increment `modCount` if a potentially structure-altering method is called, regardless of whether or not a change actually occurred. See also: `java.util.AbstractList#modCount`

### Class org.python.core.AbstractDict extends PyObject implements Serializable

### Class org.python.core.AstList extends PySequence implements Serializable

### Serialized Fields

#### data

    java.util.List<E> data

The underlying Java List.

#### adapter

    org.python.antlr.adapter.AstAdapter adapter

### Class org.python.core.BaseBytes extends PySequence implements Serializable

### Serialized Fields

#### storage

    byte[] storage

Storage array.

#### size

    int size

Number of bytes actually used in storage array.

#### offset

    int offset

Index of first byte used in storage array.

#### listDelegate

    java.util.List<E> listDelegate

Access to the byte array as a `List`. The List interface supplied by BaseBytes delegates to this object.

### Class org.python.core.BaseBytes.FragmentList extends java.util.LinkedList<org.python.core.BaseBytes.Fragment> implements Serializable

### Serialized Fields

#### totalCount

    int totalCount

Total number of bytes being held.

### Class org.python.core.BaseDictionaryView extends PyObject implements Serializable

### Serialized Fields

#### dvDict

    AbstractDict dvDict

### Class org.python.core.BaseSet extends PyObject implements Serializable

### Serialized Fields

#### _set

    java.util.Set<E> _set

The underlying Set.

### Class org.python.core.ClasspathPyImporter extends importer<java.lang.String> implements Serializable

### Serialized Fields

#### entries

    java.util.Map<K,V> entries

#### path

    java.lang.String path

### Class org.python.core.ClasspathPyImporterDerived extends ClasspathPyImporter implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.core.CompilerFlags extends java.lang.Object implements Serializable

### Serialized Fields

#### only_ast

    boolean only_ast

#### dont_imply_dedent

    boolean dont_imply_dedent

#### source_is_utf8

    boolean source_is_utf8

#### encoding

    java.lang.String encoding

#### flags

    java.util.Set<E> flags

### Class org.python.core.exceptions extends PyObject implements Serializable

### Class org.python.core.JavaImporter extends PyObject implements Serializable

### Class org.python.core.JavaIterator extends PyIterator implements Serializable

### Serialized Fields

#### proxy

    java.util.Iterator<E> proxy

### Class org.python.core.JavaProxyList.ListIndexDelegate extends SequenceIndexDelegate implements Serializable

### Serialized Fields

#### list

    java.util.List<E> list

### Class org.python.core.JyAttribute extends java.lang.Object implements Serializable

### Serialized Fields

#### attr_type

    byte attr_type

### Class org.python.core.Py2kBuffer extends PySequence implements Serializable

### Serialized Fields

#### object

    BufferProtocol object

The underlying object on which the buffer was created.

#### offset

    int offset

The offset (in bytes) into the offered object at which the buffer starts.

#### size

    int size

Number of bytes to include in the buffer (or -1 for all available).

### Class org.python.core.PyArray extends PySequence implements Serializable

### Serialized Fields

#### data

    java.lang.Object data

The underlying Java array, a Java Array in practice.

#### itemClass

    java.lang.Class<T> itemClass

The Java class of elements in the `data` array.

#### itemType

    org.python.core.PyArray.ItemType itemType

Everything else we need to know about the type of elements in the `data` array.

#### delegate

    org.python.core.PyArray.ArrayDelegate delegate

Mix in the mechanisms for manipulating the underlying array as this "delegate" object. Many operations on this `array.array` are actually operations on this delegate (an `AbstractArray` in practice), which in turn manipulates `PyArray.data`.

#### export

    java.lang.ref.WeakReference<T> export

Hold weakly a reference to a PyBuffer export not yet released, used to prevent untimely resizing.

### Class org.python.core.PyArrayDerived extends PyArray implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyBaseCode extends PyCode implements Serializable

### Serialized Fields

#### co_argcount

    int co_argcount

#### nargs

    int nargs

#### co_firstlineno

    int co_firstlineno

#### co_varnames

    java.lang.String[] co_varnames

#### co_cellvars

    java.lang.String[] co_cellvars

#### jy_npurecell

    int jy_npurecell

#### co_freevars

    java.lang.String[] co_freevars

#### co_filename

    java.lang.String co_filename

#### co_flags

    CompilerFlags co_flags

#### co_nlocals

    int co_nlocals

#### varargs

    boolean varargs

#### varkwargs

    boolean varkwargs

### Class org.python.core.PyBaseException extends PyObject implements Serializable

### Serialized Fields

#### message

    PyObject message

Exception message.

#### args

    PyObject args

Exception's arguments.

#### __dict__

    PyObject __dict__

Exception's underlying dictionary, lazily created.

### Class org.python.core.PyBaseExceptionDerived extends PyBaseException implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.core.PyBaseString extends PySequence implements Serializable

### Class org.python.core.PyBeanEvent extends PyObject implements Serializable

### Serialized Fields

#### addMethod

    java.lang.reflect.Method addMethod

#### eventClass

    java.lang.Class<T> eventClass

#### __name__

    java.lang.String __name__

### Class org.python.core.PyBeanEventProperty extends PyObject implements Serializable

### Serialized Fields

#### addMethod

    java.lang.reflect.Method addMethod

#### eventName

    java.lang.String eventName

#### eventClass

    java.lang.Class<T> eventClass

#### __name__

    java.lang.String __name__

#### adapterField

    java.lang.reflect.Field adapterField

#### adapterClass

    java.lang.Class<T> adapterClass

### Class org.python.core.PyBeanProperty extends PyReflectedField implements Serializable

### Serialized Fields

#### getMethod

    java.lang.reflect.Method getMethod

#### setMethod

    java.lang.reflect.Method setMethod

#### myType

    java.lang.Class<T> myType

#### __name__

    java.lang.String __name__

### Class org.python.core.PyBoolean extends PyInteger implements Serializable

### Serialized Fields

#### value

    boolean value

### Class org.python.core.PyBuiltinCallable extends PyObject implements Serializable

### Serialized Fields

#### info

    PyBuiltinCallable.Info info

#### doc

    java.lang.String doc

### Class org.python.core.PyBuiltinCallable.DefaultInfo extends java.lang.Object implements Serializable

### Serialized Fields

#### name

    java.lang.String name

#### maxargs

    int maxargs

#### minargs

    int minargs

### Class org.python.core.PyBuiltinClassMethodNarrow extends PyBuiltinMethodNarrow implements Serializable

### Class org.python.core.PyBuiltinFunction extends PyBuiltinCallable implements Serializable

### Class org.python.core.PyBuiltinFunctionNarrow extends PyBuiltinFunction implements Serializable

### Class org.python.core.PyBuiltinFunctionSet extends PyBuiltinFunctionNarrow implements Serializable

### Serialized Fields

#### index

    int index

### Class org.python.core.PyBuiltinMethod extends PyBuiltinCallable implements Serializable

### Serialized Fields

#### self

    PyObject self

### Class org.python.core.PyBuiltinMethodNarrow extends PyBuiltinMethod implements Serializable

### Class org.python.core.PyBuiltinMethodSet extends PyBuiltinFunctionSet implements Serializable

### Serialized Fields

#### type

    java.lang.Class<T> type

#### __self__

    PyObject __self__

### Class org.python.core.PyByteArray extends BaseBytes implements Serializable

### Serialized Fields

#### export

    java.lang.ref.WeakReference<T> export

Hold weakly a reference to a PyBuffer export not yet released, used to prevent untimely resizing.

### Class org.python.core.PyByteArrayDerived extends PyByteArray implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyBytecode extends PyBaseCode implements Serializable

### Serialized Fields

#### count

    int count

#### maxCount

    int maxCount

#### co_code

    byte[] co_code

#### co_consts

    PyObject[] co_consts

#### co_names

    java.lang.String[] co_names

#### co_stacksize

    int co_stacksize

#### co_lnotab

    byte[] co_lnotab

### Class org.python.core.PyCallIter extends PyIterator implements Serializable

### Serialized Fields

#### callable

    PyObject callable

#### sentinel

    PyObject sentinel

### Class org.python.core.PyCell extends PyObject implements Serializable

### Serialized Fields

#### ob_ref

    PyObject ob_ref

The underlying content of the cell, or null.

### Class org.python.core.PyClass extends PyObject implements Serializable

### Serialized Fields

#### __dict__

    PyObject __dict__

Holds the namespace for this class

#### __bases__

    PyTuple __bases__

The base classes of this class

#### __name__

    java.lang.String __name__

The name of this class

#### __getattr__

    PyObject __getattr__

#### __setattr__

    PyObject __setattr__

#### __delattr__

    PyObject __delattr__

#### __tojava__

    PyObject __tojava__

#### __del__

    PyObject __del__

#### __contains__

    PyObject __contains__

### Class org.python.core.PyClassMethod extends PyObject implements Serializable

### Serialized Fields

#### callable

    PyObject callable

### Class org.python.core.PyClassMethodDerived extends PyClassMethod implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyClassMethodDescr extends PyMethodDescr implements Serializable

### Class org.python.core.PyCode extends PyObject implements Serializable

### Serialized Fields

#### co_name

    java.lang.String co_name

### Class org.python.core.PyComplex extends PyObject implements Serializable

### Serialized Fields

#### real

    double real

#### imag

    double imag

### Class org.python.core.PyComplexDerived extends PyComplex implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyCompoundCallable extends PyObject implements Serializable

### Serialized Fields

#### callables

    java.util.List<E> callables

#### systemState

    PySystemState systemState

### Class org.python.core.PyDataDescr extends PyDescriptor implements Serializable

### Serialized Fields

#### ofType

    java.lang.Class<T> ofType

#### doc

    java.lang.String doc

### Class org.python.core.PyDescriptor extends PyObject implements Serializable

### Serialized Fields

#### dtype

    PyType dtype

#### name

    java.lang.String name

### Class org.python.core.PyDictionary extends AbstractDict implements Serializable

### Serialized Fields

#### internalMap

    java.util.concurrent.ConcurrentMap<K,V> internalMap

### Class org.python.core.PyDictionaryDerived extends PyDictionary implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyDictProxy extends PyObject implements Serializable

### Serialized Fields

#### dict

    PyObject dict

The dict proxied to.

### Class org.python.core.PyEllipsis extends PySingleton implements Serializable

### Serialization Methods

#### writeReplace

    private java.lang.Object writeReplace()

### Class org.python.core.PyEnumerate extends PyIterator implements Serializable

### Serialized Fields

#### index

    PyObject index

Current index of enumeration.

#### sit

    PyObject sit

Secondary iterator of enumeration.

### Class org.python.core.PyEnumerateDerived extends PyEnumerate implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyException extends java.lang.RuntimeException implements Serializable

### Serialized Fields

#### type

    PyObject type

The python exception class (for class exception) or identifier (for string exception).

#### value

    PyObject value

The exception instance (for class exception) or exception value (for string exception).

#### traceback

    PyTraceback traceback

The exception traceback object.

#### isReRaise

    boolean isReRaise

Whether the exception was re-raised, such as when a traceback is specified to 'raise', or via a 'finally' block.

#### normalized

    boolean normalized

#### printingStackTrace

    boolean printingStackTrace

### Class org.python.core.PyFastSequenceIter extends PyIterator implements Serializable

### Serialized Fields

#### seq

    PySequence seq

#### index

    int index

### Class org.python.core.PyFile extends PyObject implements Serializable

### Serialized Fields

#### name

    PyObject name

The filename

#### mode

    java.lang.String mode

The mode string

#### encoding

    java.lang.String encoding

#### errors

    java.lang.String errors

#### softspace

    boolean softspace

Indicator dictating whether a space should be written to this file on the next print statement (not currently implemented in print )

#### reading

    boolean reading

Whether this file is opened for reading

#### writing

    boolean writing

Whether this file is opened for writing

#### appending

    boolean appending

Whether this file is opened in appending mode

#### updating

    boolean updating

Whether this file is opened for updating

#### binary

    boolean binary

Whether this file is opened in binary mode

#### universal

    boolean universal

Whether this file is opened in universal newlines mode

#### file

    TextIOBase file

The underlying IO object

#### closer

    org.python.core.PyFile.Closer closer

The file's closer object; ensures the file is closed at shutdown

### Class org.python.core.PyFileDerived extends PyFile implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyFileReader extends PyObject implements Serializable

### Serialized Fields

#### reader

    java.io.BufferedReader reader

#### closed

    boolean closed

#### reuseableBuffer

    char[] reuseableBuffer

### Class org.python.core.PyFileWriter extends PyObject implements Serializable

### Serialized Fields

#### writer

    java.io.Writer writer

#### closed

    boolean closed

#### softspace

    boolean softspace

### Class org.python.core.PyFloat extends PyObject implements Serializable

### Serialized Fields

#### value

    double value

### Class org.python.core.PyFloatDerived extends PyFloat implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyFrame extends PyObject implements Serializable

### Serialized Fields

#### f_back

    PyFrame f_back

Previous frame or null.

#### f_code

    PyBaseCode f_code

The underyling code object.

#### f_builtins

    PyObject f_builtins

builtin symbol table.

#### f_globals

    PyObject f_globals

Global symbol table.

#### f_locals

    PyObject f_locals

Local symbol table.

#### f_lineno

    int f_lineno

Current line number.

#### f_fastlocals

    PyObject[] f_fastlocals

#### f_env

    PyCell[] f_env

Nested scopes: cell + free env.

#### env_j

    int env_j

#### f_ncells

    int f_ncells

#### f_nfreevars

    int f_nfreevars

#### f_lasti

    int f_lasti

#### f_savedlocals

    java.lang.Object[] f_savedlocals

#### generatorInput

    java.lang.Object generatorInput

#### f_exits

    PyObject[] f_exits

with context exits - used by generated bytecode

#### tracefunc

    TraceFunction tracefunc

An interface to functions suitable for tracing, e.g. via sys.settrace().

### Class org.python.core.PyFrozenSet extends BaseSet implements Serializable

### Class org.python.core.PyFrozenSetDerived extends PyFrozenSet implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyFunction extends PyObject implements Serializable

### Serialization Methods

#### readResolve

    private java.lang.Object readResolve()

### Serialized Fields

#### __name__

    java.lang.String __name__

The writable name, also available via func_name.

#### __doc__

    PyObject __doc__

The writable doc string, also available via func_doc.

#### __globals__

    PyObject __globals__

The read only namespace; a dict (PyStringMap).

#### __defaults__

    PyObject[] __defaults__

Default argument values for associated kwargs. Exposed as a tuple to Python. Writable.

#### __code__

    PyCode __code__

The actual function's code, writable.

#### __dict__

    PyObject __dict__

A function's lazily created __dict__; allows arbitrary attributes to be tacked on. Read only.

#### __closure__

    PyObject __closure__

A read only closure tuple for nested scopes.

#### __module__

    PyObject __module__

Writable object describing what module this function belongs to.

### Class org.python.core.PyFunctionTable extends java.lang.Object implements Serializable

### Class org.python.core.PyGenerator extends PyIterator implements Serializable

### Serialized Fields

#### gi_frame

    PyFrame gi_frame

#### gi_code

    PyCode gi_code

#### gi_running

    boolean gi_running

#### closure

    PyObject closure

### Class org.python.core.PyIgnoreMethodTag extends java.lang.RuntimeException implements Serializable

### Class org.python.core.PyIndentationError extends PyException implements Serializable

### Serialized Fields

#### lineno

    int lineno

#### column

    int column

#### text

    java.lang.String text

#### filename

    java.lang.String filename

### Class org.python.core.PyInstance extends PyObject implements Serializable

### Serialization Methods

#### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Serialized Fields

#### __dict__

    PyObject __dict__

The namespace of this instance. Contains all instance attributes.

### Class org.python.core.PyInteger extends PyObject implements Serializable

### Serialized Fields

#### value

    int value

### Class org.python.core.PyIntegerDerived extends PyInteger implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyIterator extends PyObject implements Serializable

### Serialized Fields

#### stopException

    PyException stopException

### Class org.python.core.PyJavaPackage extends PyObject implements Serializable

### Serialized Fields

#### __name__

    java.lang.String __name__

#### __dict__

    PyStringMap __dict__

#### clsSet

    PyStringMap clsSet

Its keys are the names of statically known classes. E.g. from jars pre-scan.

#### __file__

    java.lang.String __file__

#### __mgr__

    PackageManager __mgr__

(Control) package manager whose hierarchy contains this java pkg

### Class org.python.core.PyJavaType extends PyType implements Serializable

### Serialized Fields

#### conflicted

    java.util.Set<E> conflicted

Other Java classes this type has MRO conflicts with. This doesn't matter for Java method resolution, but if Python methods are added to the type, the added methods can't overlap with methods added to any of the types in this set. If this type doesn't have any known conflicts, this is null.

#### modified

    java.util.Set<E> modified

The names of methods that have been added to this class.

### Class org.python.core.PyList extends PySequenceList implements Serializable

### Serialized Fields

#### list

    java.util.List<E> list

#### gListAllocatedStatus

    int gListAllocatedStatus

### Class org.python.core.PyListDerived extends PyList implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyListIterator extends PyIterator implements Serializable

### Serialized Fields

#### list

    PyList list

#### stopped

    boolean stopped

#### index

    int index

### Class org.python.core.PyLong extends PyObject implements Serializable

### Serialized Fields

#### value

    java.math.BigInteger value

### Class org.python.core.PyLongDerived extends PyLong implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyMemoryView extends PySequence implements Serializable

### Serialized Fields

#### backing

    PyBuffer backing

The buffer exported by the object of which this is a view.

#### released

    boolean released

A memoryview in the released state forbids most Python API actions. If the underlying PyBuffer is shared, the memoryview may be released while the underlying PyBuffer is not "finally" released.

#### shape

    PyObject shape

Cache the result of getting shape here.

#### strides

    PyObject strides

Cache the result of getting strides here.

#### suboffsets

    PyObject suboffsets

Cache the result of getting suboffsets here.

#### hashCache

    int hashCache

Hash value cached (so we still know it after `PyMemoryView.release()` is called.

#### hashCacheValid

    boolean hashCacheValid

### Class org.python.core.PyMethod extends PyObject implements Serializable

### Serialized Fields

#### im_class

    PyObject im_class

The class associated with a method.

#### __func__

    PyObject __func__

The function (or other callable) implementing a method, also available via im_func

#### __self__

    PyObject __self__

The instance to which a method is bound; None for unbound methods also available via im_self

### Class org.python.core.PyMethodDescr extends PyDescriptor implements Serializable

### Serialized Fields

#### minargs

    int minargs

#### maxargs

    int maxargs

#### meth

    PyBuiltinCallable meth

### Class org.python.core.PyModule extends PyObject implements Serializable

### Serialized Fields

#### moduleDoc

    PyObject moduleDoc

#### __dict__

    PyObject __dict__

The module's mutable dictionary

### Class org.python.core.PyModuleDerived extends PyModule implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.core.PyNewWrapper extends PyBuiltinMethod implements Serializable

### Serialized Fields

#### for_type

    PyType for_type

### Class org.python.core.PyNone extends PyObject implements Serializable

### Serialization Methods

#### writeReplace

    private java.lang.Object writeReplace()

### Class org.python.core.PyNotImplemented extends PySingleton implements Serializable

### Serialization Methods

#### writeReplace

    private java.lang.Object writeReplace()

### Class org.python.core.PyNullImporter extends PyObject implements Serializable

### Class org.python.core.PyObject extends java.lang.Object implements Serializable

### Serialized Fields

#### objtype

    PyType objtype

The type of this object.

#### attributes

    java.lang.Object attributes

`attributes` is a general purpose linked list of arbitrary Java objects that should be kept alive by this PyObject. These objects can be accessed by the methods and keys in `JyAttribute`. A notable attribute is the javaProxy (accessible via `JyAttribute.getAttr(this, JyAttribute.JAVA_PROXY_ATTR)`), an underlying Java instance that this object is wrapping or is a subclass of. Anything attempting to use the proxy should go through `PyObject.getJavaProxy()` which ensures that it's initialized.

See Also:
  `JyAttribute`, `JyAttribute.JAVA_PROXY_ATTR`, `PyObject.getJavaProxy()`

### Class org.python.core.PyObject.ConversionException extends java.lang.Exception implements Serializable

### Serialized Fields

#### index

    int index

### Class org.python.core.PyObjectDerived extends PyObject implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyOverridableNew extends PyNewWrapper implements Serializable

### Class org.python.core.PyProperty extends PyObject implements Serializable

### Serialized Fields

#### fget

    PyObject fget

#### fset

    PyObject fset

#### fdel

    PyObject fdel

#### docFromGetter

    boolean docFromGetter

Whether this property's __doc__ was copied from its getter.

#### doc

    PyObject doc

### Class org.python.core.PyPropertyDerived extends PyProperty implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyReflectedConstructor extends PyReflectedFunction implements Serializable

### Class org.python.core.PyReflectedField extends PyObject implements Serializable

### Serialized Fields

#### field

    java.lang.reflect.Field field

### Class org.python.core.PyReflectedFunction extends PyObject implements Serializable

### Serialized Fields

#### __name__

    java.lang.String __name__

#### __doc__

    PyObject __doc__

#### __module__

    PyObject __module__

#### argslist

    ReflectedArgs[] argslist

#### nargs

    int nargs

#### calledStatically

    boolean calledStatically

Whether __call__ should act as if this is called as a static method.

### Class org.python.core.PyReversedIterator extends PyIterator implements Serializable

### Serialized Fields

#### seq

    PyObject seq

#### idx

    int idx

### Class org.python.core.PySequence extends PyObject implements Serializable

### Serialized Fields

#### delegator

    SequenceIndexDelegate delegator

A delegate that handles index checking and manipulation for get, set and del operations on this sequence in the form of a "pluggable behaviour". Because different types of sequence exhibit subtly different behaviour, there is scope for subclasses to customise the behaviour with their own extension of `SequenceIndexDelegate`.

### Class org.python.core.PySequence.DefaultIndexDelegate extends SequenceIndexDelegate implements Serializable

### Class org.python.core.PySequenceIter extends PyIterator implements Serializable

### Serialized Fields

#### seq

    PyObject seq

#### index

    int index

### Class org.python.core.PySequenceList extends PySequence implements Serializable

### Class org.python.core.PySet extends BaseSet implements Serializable

### Class org.python.core.PySetDerived extends PySet implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyShadowString extends PyString implements Serializable

### Serialized Fields

#### targets

    PyList targets

Contexts (expressed as a `PyTuple` of class name and method name) where `PyShadowString.shadow` is allowed to match as well as the primary value.

#### shadow

    PyString shadow

The shadow string is additionally used for some comparisons, especially for __eq__. __eq__ will evaluate positive if the other string equals the primary value *or* the shadow. The shadow persists slicing (is sliced accordingly) and is taken into account by startswith.

### Class org.python.core.PyShadowStringDerived extends PyShadowString implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PySingleton extends PyObject implements Serializable

### Serialized Fields

#### name

    java.lang.String name

### Class org.python.core.PySlice extends PyObject implements Serializable

### Serialized Fields

#### start

    PyObject start

#### stop

    PyObject stop

#### step

    PyObject step

### Class org.python.core.PySlot extends PyDescriptor implements Serializable

### Serialized Fields

#### index

    int index

### Class org.python.core.PyStaticMethod extends PyObject implements Serializable

### Serialized Fields

#### callable

    PyObject callable

### Class org.python.core.PyString extends PyBaseString implements Serializable

### Serialized Fields

#### string

    java.lang.String string

#### export

    java.lang.ref.Reference<T> export

Supports the buffer API, see `PyString.getBuffer(int)`.

### Class org.python.core.PyStringDerived extends PyString implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyStringMap extends AbstractDict implements Serializable

### Serialized Fields

#### table

    java.util.concurrent.ConcurrentMap<K,V> table

### Class org.python.core.PySuper extends PyObject implements Serializable

### Serialized Fields

#### superType

    PyType superType

#### obj

    PyObject obj

#### objType

    PyType objType

### Class org.python.core.PySuperDerived extends PySuper implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PySyntaxError extends PyException implements Serializable

### Serialized Fields

#### lineno

    int lineno

#### column

    int column

#### text

    java.lang.String text

#### filename

    java.lang.String filename

### Class org.python.core.PySystemState extends PyObject implements Serializable

### Serialized Fields

#### argv

    PyList argv

The arguments passed to this program on the command line.

#### modules

    PyObject modules

#### modules_reloading

    java.util.Map<K,V> modules_reloading

#### importLock

    java.util.concurrent.locks.ReentrantLock importLock

#### syspathJavaLoader

    java.lang.ClassLoader syspathJavaLoader

#### path

    PyList path

#### warnoptions

    PyList warnoptions

#### builtins

    PyObject builtins

#### platform

    PyObject platform

#### meta_path

    PyList meta_path

#### path_hooks

    PyList path_hooks

#### path_importer_cache

    PyObject path_importer_cache

#### ps1

    PyObject ps1

#### ps2

    PyObject ps2

#### executable

    PyObject executable

#### currentWorkingDir

    java.lang.String currentWorkingDir

#### classLoader

    java.lang.ClassLoader classLoader

#### stdout

    PyObject stdout

#### stderr

    PyObject stderr

#### stdin

    PyObject stdin

#### __stdout__

    PyObject __stdout__

#### __stderr__

    PyObject __stderr__

#### __stdin__

    PyObject __stdin__

#### __displayhook__

    PyObject __displayhook__

#### __excepthook__

    PyObject __excepthook__

#### last_value

    PyObject last_value

#### last_type

    PyObject last_type

#### last_traceback

    PyObject last_traceback

#### __name__

    PyObject __name__

#### __dict__

    PyObject __dict__

#### recursionlimit

    int recursionlimit

#### checkinterval

    int checkinterval

#### codecState

    codecs.CodecState codecState

#### dont_write_bytecode

    boolean dont_write_bytecode

Whether bytecode should be written to disk on import.

#### closer

    PySystemState.PySystemStateCloser closer

### Class org.python.core.PyTableCode extends PyBaseCode implements Serializable

### Serialized Fields

#### funcs

    PyFunctionTable funcs

#### func_id

    int func_id

#### co_code

    java.lang.String co_code

### Class org.python.core.PyTraceback extends PyObject implements Serializable

### Serialized Fields

#### tb_next

    PyObject tb_next

#### tb_frame

    PyFrame tb_frame

#### tb_lineno

    int tb_lineno

### Class org.python.core.PyTuple extends PySequenceList implements Serializable

### Serialized Fields

#### array

    PyObject[] array

#### cachedList

    java.util.List<E> cachedList

### Class org.python.core.PyTupleDerived extends PyTuple implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyTupleIterator extends PyIterator implements Serializable

### Serialized Fields

#### iterator

    java.util.Iterator<E> iterator

### Class org.python.core.PyType extends PyObject implements Serializable

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()

Used when serializing this type.

### Serialized Fields

#### name

    java.lang.String name

The type's name. builtin types include their fully qualified name, e.g.: time.struct_time.

#### base

    PyType base

__base__, the direct base type or null.

#### bases

    PyObject[] bases

__bases__, the base classes.

#### dict

    PyObject dict

The real, internal __dict__.

#### mro

    PyObject[] mro

__mro__, the method resolution. order

#### tp_flags

    long tp_flags

__flags__, the type's options.

#### underlying_class

    java.lang.Class<T> underlying_class

The Java Class that instances of this type represent (when that is a `PyObject`), or `null` if the type is not a `PyObject`, in which case the class is indicated through a `JyAttribute.JAVA_PROXY_ATTR`.

#### builtin

    boolean builtin

Whether this is a builtin type.

#### instantiable

    boolean instantiable

Whether new instances of this type can be instantiated

#### hasGet

    boolean hasGet

Whether this type implements descriptor __get/set/delete__ methods.

#### hasSet

    boolean hasSet

#### hasDelete

    boolean hasDelete

#### isBaseType

    boolean isBaseType

Whether this type allows subclassing.

#### needs_userdict

    boolean needs_userdict

Whether this type has a __dict__.

#### needs_weakref

    boolean needs_weakref

Whether this type has a __weakref__ slot (however all types are weakrefable).

#### needs_finalizer

    boolean needs_finalizer

Whether finalization is required for this type's instances (implements __del__).

#### usesObjectGetattribute

    boolean usesObjectGetattribute

Whether this type's __getattribute__ is object.__getattribute__.

#### versionTag

    java.lang.Object versionTag

MethodCacheEntry version tag.

#### numSlots

    int numSlots

The number of __slots__ defined by this type + bases.

#### ownSlots

    int ownSlots

The number of __slots__ defined by this type itself.

#### subclasses

    java.util.Set<E> subclasses

### Class org.python.core.PyTypeDerived extends PyType implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.core.PyUnicode extends PyString implements Serializable

### Serialized Fields

#### translator

    org.python.core.PyUnicode.IndexTranslator translator

The instance of index translation in use in this string. It will be set to either `PyUnicode.BASIC` or an instance of `PyUnicode.Supplementary`.

### Class org.python.core.PyUnicodeDerived extends PyUnicode implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.core.PyVersionInfo extends PyTuple implements Serializable

### Serialized Fields

#### major

    PyObject major

#### minor

    PyObject minor

#### micro

    PyObject micro

#### releaselevel

    PyObject releaselevel

#### serial

    PyObject serial

### Class org.python.core.PyXRange extends PySequence implements Serializable

### Serialized Fields

#### start

    long start

#### step

    long step

#### stop

    long stop

#### len

    long len

### Class org.python.core.PyXRangeIter extends PyIterator implements Serializable

### Serialized Fields

#### index

    long index

#### start

    long start

#### step

    long step

#### len

    long len

### Class org.python.core.SequenceIndexDelegate extends java.lang.Object implements Serializable

### Class org.python.core.SyspathArchive extends PyString implements Serializable

### Serialized Fields

#### zipFile

    java.util.zip.ZipFile zipFile

## Package org.python.core.stringlib

### Class org.python.core.stringlib.FieldNameIterator extends PyObject implements Serializable

### Serialized Fields

#### markup

    java.lang.String markup

The UTF-16 string from which elements are being returned.

#### bytes

    boolean bytes

True if originally given a PyString (so must return PyString not PyUnicode).

#### index

    int index

How far along that string we are.

#### head

    java.lang.Object head

### Class org.python.core.stringlib.MarkupIterator extends PyObject implements Serializable

### Serialized Fields

#### markup

    java.lang.String markup

The UTF-16 string from which elements are being returned.

#### bytes

    boolean bytes

True if originally given a PyString (so must return PyString not PyUnicode).

#### index

    int index

How far along that string we are.

#### numbering

    org.python.core.stringlib.MarkupIterator.FieldNumbering numbering

A counter used to auto-number fields when not explicitly numbered in the format.

## Package org.python.core.util

### Class org.python.core.util.importer extends PyObject implements Serializable

### Serialized Fields

#### searchOrder

    org.python.core.util.importer.SearchOrderEntry[] searchOrder

SearchOrder defines how we search for a module.

### Class org.python.core.util.RelativeFile extends java.io.File implements Serializable

## Package org.python.modules

### Class org.python.modules._codecs.EncodingMap extends PyObject implements Serializable

### Serialized Fields

#### level1

    char[] level1

#### level23

    char[] level23

#### count2

    int count2

#### count3

    int count3

### Class org.python.modules._hashlib.Hash extends PyObject implements Serializable

### Serialized Fields

#### name

    java.lang.String name

The hash algorithm name.

#### digest

    java.security.MessageDigest digest

The hashing engine.

### Class org.python.modules._marshal.Marshaller extends PyObject implements Serializable

### Serialized Fields

#### file

    PyIOFile file

#### version

    int version

#### debug

    boolean debug

### Class org.python.modules._marshal.Unmarshaller extends PyObject implements Serializable

### Serialized Fields

#### file

    PyIOFile file

#### strings

    PyList strings

#### version

    int version

#### depth

    int depth

#### debug

    boolean debug

### Class org.python.modules.cStringIO.StringIO extends PyIterator implements Serializable

### Serialized Fields

#### softspace

    boolean softspace

#### closed

    boolean closed

#### pos

    int pos

#### buf

    java.lang.StringBuilder buf

### Class org.python.modules.operator extends PyObject implements Serializable

### Class org.python.modules.PyStruct extends PyObject implements Serializable

### Serialized Fields

#### format

    java.lang.String format

#### size

    int size

#### format_def

    org.python.modules.struct.FormatDef[] format_def

### Class org.python.modules.PyStructDerived extends PyStruct implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.synchronize.SynchronizedCallable extends PyObject implements Serializable

### Serialized Fields

#### callable

    PyObject callable

## Package org.python.modules._collections

### Class org.python.modules._collections.PyDefaultDict extends PyDictionary implements Serializable

### Serialized Fields

#### defaultFactory

    PyObject defaultFactory

This attribute is used by the __missing__ method; it is initialized from the first argument to the constructor, if present, or to None, if absent.

#### backingMap

    com.google.common.cache.LoadingCache<K,V> backingMap

### Class org.python.modules._collections.PyDefaultDictDerived extends PyDefaultDict implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules._collections.PyDeque extends PyObject implements Serializable

### Serialized Fields

#### state

    long state

#### size

    int size

#### maxlen

    int maxlen

#### header

    org.python.modules._collections.PyDeque.Node header

### Class org.python.modules._collections.PyDequeDerived extends PyDeque implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.modules._csv

### Class org.python.modules._csv.PyDialect extends PyObject implements Serializable

### Serialized Fields

#### doublequote

    boolean doublequote

Whether " is represented by "".

#### delimiter

    char delimiter

Field separator.

#### quotechar

    char quotechar

Quote character.

#### escapechar

    char escapechar

Escape character.

#### skipinitialspace

    boolean skipinitialspace

Ignore spaces following delimiter?

#### lineterminator

    java.lang.String lineterminator

String to write between records.

#### quoting

    QuoteStyle quoting

Style of quoting to write.

#### strict

    boolean strict

Whether an exception is raised on bad CSV.

### Class org.python.modules._csv.PyDialectDerived extends PyDialect implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.modules._csv.PyReader extends PyIterator implements Serializable

### Serialized Fields

#### dialect

    PyDialect dialect

Parsing Dialect.

#### line_num

    int line_num

The current line number.

#### input_iter

    PyObject input_iter

The underlying input iterator.

#### state

    org.python.modules._csv.PyReader.ParserState state

Current CSV parse state.

#### fields

    PyList fields

Field list for current record.

#### field

    java.lang.StringBuffer field

Current field builder in here.

#### numeric_field

    boolean numeric_field

Whether the field should be treated as numeric.

### Class org.python.modules._csv.PyWriter extends PyObject implements Serializable

### Serialized Fields

#### dialect

    PyDialect dialect

Parsing dialect.

#### writeline

    PyObject writeline

Output lines writer callable.

#### rec

    java.lang.StringBuffer rec

Buffer for parser.join.

#### rec_len

    int rec_len

Length of record.

#### num_fields

    int num_fields

Number of fields in record.

#### quoted

    boolean quoted

Whether field should be quoted during a join.

## Package org.python.modules._functools

### Class org.python.modules._functools.PyPartial extends PyObject implements Serializable

### Serialized Fields

#### func

    PyObject func

The wrapped callable.

#### args

    PyObject[] args

Callable's args.

#### keywords

    java.lang.String[] keywords

Callable's keywords.

#### __dict__

    PyObject __dict__

Lazily created dict for extra attributes.

### Class org.python.modules._functools.PyPartialDerived extends PyPartial implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.modules._io

### Class org.python.modules._io.PyFileIO extends PyRawIOBase implements Serializable

### Serialized Fields

#### ioDelegate

    RawIOBase ioDelegate

The `FileIO` or `StreamIO` to which we delegate operations not complete locally.

#### readable

    boolean readable

Set true when stream must be `readable = reading | updating`

#### writable

    boolean writable

Set true when stream must be `writable = writing | updating | appending`

#### seekableKnown

    boolean seekableKnown

Set true when we have made the seekable test

#### seekable

    boolean seekable

Set true when stream is seekable

#### closefd

    boolean closefd

Whether to close the underlying stream on closing this object.

#### mode

    PyString mode

The mode as a PyString based on readable and writable

### Class org.python.modules._io.PyFileIODerived extends PyFileIO implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.modules._io.PyIOBase extends PyObject implements Serializable

### Serialized Fields

#### closer

    org.python.modules._io.Closer<C extends PyIOBase> closer

The ioDelegate's closer object; ensures the stream is closed at shutdown

#### __dict__

    PyStringMap __dict__

Provide a dictionary in the object, so that methods and attributes may be overridden at instance level.

#### __closed

    boolean __closed

True if the object is closed to further client operations. It is the state accessed by `closed` and checked by `PyIOBase._checkClosed()`. It may be set without making it an error (for this object and its subclasses) to access some downstream object, notably in the implementation of `close()`.

### Class org.python.modules._io.PyIOBaseDerived extends PyIOBase implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.modules._io.PyRawIOBase extends PyIOBase implements Serializable

### Class org.python.modules._io.PyRawIOBaseDerived extends PyRawIOBase implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

## Package org.python.modules._json

### Class org.python.modules._json.Encoder extends PyObject implements Serializable

### Serialized Fields

#### __module__

    java.lang.String __module__

#### markers

    AbstractDict markers

#### defaultfn

    PyObject defaultfn

#### encoder

    PyObject encoder

#### indent

    PyObject indent

#### key_separator

    PyObject key_separator

#### item_separator

    PyObject item_separator

#### sort_keys

    PyObject sort_keys

#### skipkeys

    boolean skipkeys

#### allow_nan

    boolean allow_nan

### Class org.python.modules._json.EncoderDerived extends Encoder implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules._json.Scanner extends PyObject implements Serializable

### Serialized Fields

#### __module__

    java.lang.String __module__

#### encoding

    java.lang.String encoding

#### strict

    boolean strict

#### object_hook

    PyObject object_hook

#### pairs_hook

    PyObject pairs_hook

#### parse_float

    PyObject parse_float

#### parse_int

    PyObject parse_int

#### parse_constant

    PyObject parse_constant

### Class org.python.modules._json.ScannerDerived extends Scanner implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.modules._jythonlib

### Class org.python.modules._jythonlib.dict_builder extends PyObject implements Serializable

### Serialized Fields

#### factory

    PyObject factory

#### dict_type

    PyType dict_type

### Class org.python.modules._jythonlib.set_builder extends PyObject implements Serializable

### Serialized Fields

#### factory

    PyObject factory

#### set_type

    PyType set_type

## Package org.python.modules._threading

### Class org.python.modules._threading.Condition extends PyObject implements Serializable

### Serialized Fields

#### _lock

    org.python.modules._threading.ConditionSupportingLock _lock

#### _condition

    java.util.concurrent.locks.Condition _condition

### Class org.python.modules._threading.Lock extends PyObject implements Serializable

### Serialized Fields

#### _lock

    org.python.modules._threading.Mutex _lock

### Class org.python.modules._threading.RLock extends PyObject implements Serializable

### Serialized Fields

#### _lock

    org.python.modules._threading.RLockImplementation _lock

## Package org.python.modules._weakref

### Class org.python.modules._weakref.AbstractReference extends PyObject implements Serializable

### Serialized Fields

#### callback

    PyObject callback

#### gref

    ReferenceBackend gref

### Class org.python.modules._weakref.CallableProxyType extends ProxyType implements Serializable

### Class org.python.modules._weakref.ProxyType extends AbstractReference implements Serializable

### Class org.python.modules._weakref.ReferenceType extends AbstractReference implements Serializable

### Class org.python.modules._weakref.ReferenceTypeDerived extends ReferenceType implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.modules.bz2

### Class org.python.modules.bz2.PyBZ2Compressor extends PyObject implements Serializable

### Serialized Fields

#### captureStream

    org.python.modules.bz2.PyBZ2Compressor.CaptureStream captureStream

#### compressStream

    org.apache.commons.compress.compressors.bzip2.BZip2CompressorOutputStream compressStream

### Class org.python.modules.bz2.PyBZ2CompressorDerived extends PyBZ2Compressor implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.bz2.PyBZ2Decompressor extends PyObject implements Serializable

### Serialized Fields

#### unused_data

    PyString unused_data

#### eofReached

    boolean eofReached

#### decompressStream

    org.apache.commons.compress.compressors.bzip2.BZip2CompressorInputStream decompressStream

#### accumulator

    byte[] accumulator

### Class org.python.modules.bz2.PyBZ2DecompressorDerived extends PyBZ2Decompressor implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.bz2.PyBZ2File extends PyObject implements Serializable

### Serialized Fields

#### buffering

    int buffering

#### buffer

    TextIOBase buffer

#### fileName

    java.lang.String fileName

#### inIterMode

    boolean inIterMode

#### inUniversalNewlineMode

    boolean inUniversalNewlineMode

#### needReadBufferInit

    boolean needReadBufferInit

#### inReadMode

    boolean inReadMode

#### inWriteMode

    boolean inWriteMode

### Class org.python.modules.bz2.PyBZ2FileDerived extends PyBZ2File implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.modules.itertools

### Class org.python.modules.itertools.chain extends PyIterator implements Serializable

### Serialized Fields

#### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.chainDerived extends chain implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.combinations extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.combinationsDerived extends combinations implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.combinationsWithReplacement extends PyIterator implements Serializable

### Serialized Fields

#### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.combinationsWithReplacementDerived extends combinationsWithReplacement implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.compress extends PyIterator implements Serializable

### Serialized Fields

#### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.compressDerived extends compress implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.count extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

#### counter

    PyObject counter

#### stepper

    PyObject stepper

### Class org.python.modules.itertools.countDerived extends count implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.cycle extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.cycleDerived extends cycle implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.dropwhile extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.dropwhileDerived extends dropwhile implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.groupby extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.groupbyDerived extends groupby implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.ifilter extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.ifilterDerived extends ifilter implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.ifilterfalse extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.ifilterfalseDerived extends ifilterfalse implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.imap extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.imapDerived extends imap implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.islice extends PyIterator implements Serializable

### Serialized Fields

#### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.isliceDerived extends islice implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.izip extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.izipDerived extends izip implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.izipLongest extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.izipLongestDerived extends izipLongest implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.permutations extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.permutationsDerived extends permutations implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.product extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.productDerived extends product implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.PyTeeIterator extends PyIterator implements Serializable

### Serialized Fields

#### position

    int position

#### teeData

    org.python.modules.itertools.PyTeeIterator.PyTeeData teeData

### Class org.python.modules.itertools.PyTeeIteratorDerived extends PyTeeIterator implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.repeat extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

#### object

    PyObject object

#### counter

    int counter

### Class org.python.modules.itertools.repeatDerived extends repeat implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.starmap extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.starmapDerived extends starmap implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

### Class org.python.modules.itertools.takewhile extends PyIterator implements Serializable

### Serialized Fields

#### iter

    PyIterator iter

### Class org.python.modules.itertools.takewhileDerived extends takewhile implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.modules.jffi

### Class org.python.modules.jffi.AbstractMemoryCData extends CData implements Serializable

### Serialized Fields

#### memory

    DirectMemory memory

### Class org.python.modules.jffi.ArrayCData extends CData implements Serializable

### Serialized Fields

#### arrayType

    org.python.modules.jffi.CType.Array arrayType

#### componentType

    CType componentType

#### componentMemoryOp

    org.python.modules.jffi.MemoryOp componentMemoryOp

#### delegator

    SequenceIndexDelegate delegator

### Class org.python.modules.jffi.ArrayCData.ArrayIter extends PyIterator implements Serializable

### Serialized Fields

#### index

    int index

### Class org.python.modules.jffi.BasePointer extends PyObject implements Serializable

### Class org.python.modules.jffi.ByReference extends PyObject implements Serializable

### Serialized Fields

#### memory

    DirectMemory memory

### Class org.python.modules.jffi.CData extends PyObject implements Serializable

### Serialized Fields

#### ctype

    CType ctype

#### referenceMemory

    DirectMemory referenceMemory

### Class org.python.modules.jffi.CType extends PyObject implements Serializable

### Serialized Fields

#### nativeType

    NativeType nativeType

#### memoryOp

    org.python.modules.jffi.MemoryOp memoryOp

The `MemoryOp` used to read/write items of this type

### Class org.python.modules.jffi.DynamicLibrary extends PyObject implements Serializable

### Serialized Fields

#### name

    java.lang.String name

#### lib

    com.kenai.jffi.Library lib

### Class org.python.modules.jffi.DynamicLibrary.DataSymbol extends DynamicLibrary.Symbol implements Serializable

### Class org.python.modules.jffi.DynamicLibrary.Symbol extends BasePointer implements Serializable

### Serialized Fields

#### library

    DynamicLibrary library

#### memory

    DirectMemory memory

#### name

    java.lang.String name

### Class org.python.modules.jffi.DynamicLibrary.TextSymbol extends DynamicLibrary.Symbol implements Serializable

### Class org.python.modules.jffi.Function extends BasePointer implements Serializable

### Serialized Fields

#### pointer

    Pointer pointer

#### library

    DynamicLibrary library

#### dict

    PyStringMap dict

#### restype

    PyObject restype

#### argtypes

    PyObject[] argtypes

#### defaultInvoker

    Invoker defaultInvoker

#### compiledInvoker

    Invoker compiledInvoker

#### jitHandle

    org.python.modules.jffi.JITHandle jitHandle

#### jffiFunction

    com.kenai.jffi.Function jffiFunction

#### errcheck

    PyObject errcheck

#### name

    java.lang.String name

### Class org.python.modules.jffi.PointerCData extends AbstractMemoryCData implements Serializable

### Serialized Fields

#### componentMemoryOp

    org.python.modules.jffi.MemoryOp componentMemoryOp

### Class org.python.modules.jffi.ScalarCData extends CData implements Serializable

### Serialized Fields

#### value

    PyObject value

### Class org.python.modules.jffi.StringCData extends AbstractMemoryCData implements Serializable

### Class org.python.modules.jffi.StructLayout extends org.python.modules.jffi.CType.Custom implements Serializable

### Serialized Fields

#### fieldMap

    java.util.Map<K,V> fieldMap

#### fields

    java.util.List<E> fields

### Class org.python.modules.jffi.StructLayout.Field extends PyObject implements Serializable

### Serialized Fields

#### ctype

    CType ctype

#### offset

    int offset

#### name

    PyObject name

#### op

    org.python.modules.jffi.MemoryOp op

### Class org.python.modules.jffi.StructLayout.ScalarField extends StructLayout.Field implements Serializable

### Class org.python.modules.jffi.Structure extends CData implements Serializable

### Serialized Fields

#### layout

    StructLayout layout

#### memoryOp

    org.python.modules.jffi.MemoryOp memoryOp

## Package org.python.modules.posix

### Class org.python.modules.posix.PyStatResult extends PyTuple implements Serializable

### Serialized Fields

#### st_mode

    PyObject st_mode

#### st_ino

    PyObject st_ino

#### st_dev

    PyObject st_dev

#### st_nlink

    PyObject st_nlink

#### st_uid

    PyObject st_uid

#### st_gid

    PyObject st_gid

#### st_size

    PyObject st_size

#### st_atime

    PyObject st_atime

#### st_mtime

    PyObject st_mtime

#### st_ctime

    PyObject st_ctime

## Package org.python.modules.random

### Class org.python.modules.random.PyRandom extends PyObject implements Serializable

### Serialized Fields

#### javaRandom

    java.util.Random javaRandom

### Class org.python.modules.random.PyRandomDerived extends PyRandom implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.modules.sre

### Class org.python.modules.sre.MatchObject extends PyObject implements Serializable

### Serialized Fields

#### string

    PyString string

#### regs

    PyObject regs

#### pattern

    PatternObject pattern

#### pos

    int pos

#### endpos

    int endpos

#### lastindex

    int lastindex

#### groups

    int groups

#### mark

    int[] mark

### Class org.python.modules.sre.PatternObject extends PyObject implements Serializable

### Serialized Fields

#### code

    int[] code

#### pattern

    PyString pattern

#### groups

    int groups

#### groupindex

    PyObject groupindex

#### flags

    int flags

#### indexgroup

    PyObject indexgroup

#### codesize

    int codesize

### Class org.python.modules.sre.ScannerObject extends PyObject implements Serializable

### Serialized Fields

#### pattern

    PatternObject pattern

#### string

    PyString string

#### state

    SRE_STATE state

## Package org.python.modules.thread

### Class org.python.modules.thread.PyLocal extends PyObject implements Serializable

### Serialized Fields

#### tdict

    java.lang.ThreadLocal<T> tdict

#### args

    PyObject[] args

#### keywords

    java.lang.String[] keywords

### Class org.python.modules.thread.PyLocalDerived extends PyLocal implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

### Class org.python.modules.thread.PyLock extends PyObject implements Serializable

### Serialized Fields

#### locked

    boolean locked

## Package org.python.modules.time

### Class org.python.modules.time.PyTimeTuple extends PyTuple implements Serializable

### Serialized Fields

#### tm_year

    PyObject tm_year

#### tm_mon

    PyObject tm_mon

#### tm_mday

    PyObject tm_mday

#### tm_hour

    PyObject tm_hour

#### tm_min

    PyObject tm_min

#### tm_sec

    PyObject tm_sec

#### tm_wday

    PyObject tm_wday

#### tm_yday

    PyObject tm_yday

#### tm_isdst

    PyObject tm_isdst

#### n_sequence_fields

    int n_sequence_fields

#### n_fields

    int n_fields

#### n_unnamed_fields

    int n_unnamed_fields

## Package org.python.modules.zipimport

### Class org.python.modules.zipimport.zipimporter extends importer<PyObject> implements Serializable

### Serialized Fields

#### archive

    java.lang.String archive

Path to the Zip archive

#### prefix

    java.lang.String prefix

File prefix: "a/sub/directory/"

#### files

    PyObject files

Dict with file info {path: tocEntry}

#### sys

    PySystemState sys

The PySystemState this zipimporter is associated with

### Class org.python.modules.zipimport.zipimporterDerived extends zipimporter implements Serializable

### Serialized Fields

#### slots

    PyObject[] slots

#### dict

    PyObject dict

## Package org.python.util

### Class org.python.util.PyServlet extends javax.servlet.http.HttpServlet implements Serializable

### Serialized Fields

#### interp

    PythonInterpreter interp

#### cache

    java.util.Map<K,V> cache